#! /bin/sh
#
# Given a directory of LOP-files, classify them and create lists for
# each class in the current directory.
#

few="";
many="";
absolute="";

if [ "$2" ]; then
    few="-f $2";
fi

if [ "$3" ]; then
    many="-m $3";
fi

if [ "$4" ]; then
    absolute="-a";
fi

mask="-caaa-aaaaa"

if [ "$1" ]; then
    touch CLASS_1;
    rm CLASS_*;
    for file in $1/*.lop ; do
	echo $file
	basename $file >> CLASS_`classify_problem $mask $few $many $absolute $file | head -1 | cut -d\) -f2 | sed -e 's/ : //'`
    done
    echo create_class_list.sh  "$1" $mask $few $many $absolute > description
else
    echo "Usage: create_class_lists <problem_dir> [<few-limit> [many-limit]]"
fi
